--- debathena-athrun-10.0.1.orig/aclocal.m4
+++ debathena-athrun-10.0.1/aclocal.m4
@@ -79,7 +79,7 @@
 		CPPFLAGS="$CPPFLAGS -I$com_err/include"
 		LDFLAGS="$LDFLAGS -L$com_err/lib"
 	fi
-	AC_CHECK_LIB(com_err, com_err, :,
+	AC_CHECK_LIB(com_err, com_err, ,
 		     [AC_MSG_ERROR(com_err library not found)])
 else
 	AC_MSG_ERROR(This package requires com_err.)
@@ -98,7 +98,7 @@
 	fi
 	AC_CHECK_LIB(curses, initscr)
 	AC_CHECK_LIB(readline, readline)
-	AC_CHECK_LIB(ss, ss_perror, :,
+	AC_CHECK_LIB(ss, ss_perror, ,
 		     [AC_MSG_ERROR(ss library not found)], -lcom_err)
 else
 	AC_MSG_ERROR(This package requires ss.)
--- debathena-athrun-10.0.1.orig/bash_completion
+++ debathena-athrun-10.0.1/bash_completion
@@ -1,19 +1,17 @@
 _athrun () {
-    local cur
-    local opts
     COMPREPLY=()
-    prev="${COMP_WORDS[COMP_CWORD-1]}"
-    cur="${COMP_WORDS[COMP_CWORD]}"
-    if [ $COMP_CWORD -lt 3 ]; then
-        case $COMP_CWORD in
-            1)
-                opts="$(ls /mit)"
-                ;;
-            2)
-                opts="$(ls $(athdir "/mit/$prev" bin))"
-                ;;
-        esac
-        COMPREPLY=($(compgen -W "${opts}" -- "${cur}"))
+    local cur="${COMP_WORDS[$COMP_CWORD]}"
+
+    if [ $COMP_CWORD -eq 1 ]; then
+	local IFS=$'\n'
+	COMPREPLY=( $(cd /mit && compgen -f -- "$cur") )
+    elif [ $COMP_CWORD -eq 2 ]; then
+	local IFS=$'\n'
+	COMPREPLY=( $(dir="$(eval "athdir /mit/${COMP_WORDS[1]}")" && \
+	    cd "$dir" && compgen -f -- "$cur") )
+    else
+	COMP_WORDS[1]=-dummy
+	_command
     fi
 }
-complete -F _athrun athrun
+complete -F _athrun $filenames athrun
--- debathena-athrun-10.0.1.orig/debian/control
+++ debathena-athrun-10.0.1/debian/control
@@ -0,0 +1,14 @@
+Source: debathena-athrun
+Section: debathena/net
+Priority: extra
+Maintainer: Debathena Project <debathena@mit.edu>
+Build-Depends: cdbs (>= 0.4.23-1.1), autotools-dev, debhelper (>= 4.2.0), autoconf
+Standards-Version: 3.7.2
+
+Package: debathena-athrun
+Architecture: all
+Provides: athrun
+Depends: ${shlibs:Depends}, ${misc:Depends}, debathena-attachandrun
+Description: An Athena utility for users to run a program from a locker
+ The athrun utility allows a user to robustly run a program from a 
+ specified Athena locker.
--- debathena-athrun-10.0.1.orig/debian/compat
+++ debathena-athrun-10.0.1/debian/compat
@@ -0,0 +1 @@
+4
--- debathena-athrun-10.0.1.orig/debian/control.in
+++ debathena-athrun-10.0.1/debian/control.in
@@ -0,0 +1,14 @@
+Source: debathena-athrun
+Section: debathena/net
+Priority: extra
+Maintainer: Debathena Project <debathena@mit.edu>
+Build-Depends: @cdbs@
+Standards-Version: 3.7.2
+
+Package: debathena-athrun
+Architecture: all
+Provides: athrun
+Depends: ${shlibs:Depends}, ${misc:Depends}, debathena-attachandrun
+Description: An Athena utility for users to run a program from a locker
+ The athrun utility allows a user to robustly run a program from a 
+ specified Athena locker.
--- debathena-athrun-10.0.1.orig/debian/changelog
+++ debathena-athrun-10.0.1/debian/changelog
@@ -0,0 +1,37 @@
+debathena-athrun (10.0.1-0debathena1) unstable; urgency=low
+
+  [ Evan Broder ]
+  * Add bash tab completion for athrun. (Trac: #150)
+
+  [ Anders Kaseorg ]
+  * Better bash completion.
+
+ -- Anders Kaseorg <andersk@mit.edu>  Mon, 18 May 2009 18:47:00 -0400
+
+debathena-athrun (10.0.0-0debathena2) unstable; urgency=low
+
+  * Change DEB_AUTO_UPDATE_AUTOCONF to 2.50, not 1.
+  * Remove DEB_AUTO_UPDATE_DEBIAN_CONTROL.
+  * Change "Debian-Athena Project" to "Debathena Project".
+  * Remove debian/control from version control.
+  * Clean up debian/copyright.
+
+ -- Tim Abbott <tabbott@mit.edu>  Sat, 24 Jan 2009 14:28:36 -0500
+
+debathena-athrun (10.0.0-0debathena1) unstable; urgency=low
+
+  * Merged quilt patches into mainline Athena tree
+
+ -- Shreevatsa R <vatsa@mit.edu>  Sun,  6 Apr 2008 15:57:06 -0400
+
+debathena-athrun (9.4.0+cvs20060725-0debathena2) unstable; urgency=low
+
+  * Section: debathena/net.
+
+ -- Anders Kaseorg <andersk@mit.edu>  Tue, 17 Jul 2007 06:33:33 -0400
+
+debathena-athrun (9.4.0+cvs20060725-0debathena1) unstable; urgency=low
+
+  * Initial release.
+
+ -- Anders Kaseorg <andersk@mit.edu>  Tue, 30 Jan 2007 00:34:00 -0500
--- debathena-athrun-10.0.1.orig/debian/copyright
+++ debathena-athrun-10.0.1/debian/copyright
@@ -0,0 +1,23 @@
+This package was debianized as part of the Debathena Project
+<http://debathena.mit.edu/> of the MIT Student Information Processing
+Board.
+
+The Athena source code was obtained from the Athena SVN repository at
+<svn://debathena.mit.edu/athena/trunk>, and is licensed as follows:
+
+  Copyright © 1996 by the Massachusetts Institute of Technology.
+
+  Permission to use, copy, modify, and distribute this
+  software and its documentation for any purpose and without
+  fee is hereby granted, provided that the above copyright
+  notice appear in all copies and that both that copyright
+  notice and this permission notice appear in supporting
+  documentation, and that the name of M.I.T. not be used in
+  advertising or publicity pertaining to distribution of the
+  software without specific, written prior permission.
+  M.I.T. makes no representations about the suitability of
+  this software for any purpose.  It is provided "as is"
+  without express or implied warranty.
+
+The Debian packaging is Copyright © 2007-2008 Tim Abbott and Anders
+Kaseorg, and has the same license as the original software.
--- debathena-athrun-10.0.1.orig/debian/rules
+++ debathena-athrun-10.0.1/debian/rules
@@ -0,0 +1,8 @@
+#!/usr/bin/make -f
+
+DEB_AUTO_UPDATE_AUTOCONF = 2.50
+include /usr/share/cdbs/1/rules/debhelper.mk
+include /usr/share/cdbs/1/class/autotools.mk
+
+clean::
+	rm -f configure
